다음을 통해 공유


Iot Connectors - Create Or Update

지정된 매개 변수를 사용하여 IoT Connector 리소스를 만들거나 업데이트합니다.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HealthcareApis/workspaces/{workspaceName}/iotconnectors/{iotConnectorName}?api-version=2022-06-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
iotConnectorName
path True

string

minLength: 3
maxLength: 24

IoT Connector 리소스의 이름입니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90
pattern: ^[-\w\._\(\)]+$

서비스 인스턴스를 포함하는 리소스 그룹의 이름입니다.

subscriptionId
path True

string

구독 식별자입니다.

workspaceName
path True

string

minLength: 3
maxLength: 24

작업 영역 리소스의 이름입니다.

api-version
query True

string

클라이언트 API 버전입니다.

요청 본문

Name 형식 Description
etag

string

리소스와 연결된 etag로, 리소스를 편집할 때 낙관적 동시성에 사용됩니다.

identity

Identity

서비스에 연결된 관리 ID가 있는지 여부를 나타내는 설정입니다.

location

string

리소스 위치입니다.

properties.deviceMapping

IotMappingProperties

디바이스 매핑.

properties.ingestionEndpointConfiguration

IotEventHubIngestionEndpointConfiguration

원본 구성.

tags

object

리소스 태그.

응답

Name 형식 Description
200 OK

IotConnector

업데이트됨 - 요청이 수락되고 기존 리소스가 업데이트됩니다.

201 Created

IotConnector

생성됨 - 요청이 수락되고 기존 리소스가 비동기적으로 생성됩니다.

202 Accepted

IotConnector

수락됨 - 요청이 수락되고 기존 리소스가 비동기적으로 업데이트됩니다.

Other Status Codes

ErrorDetails

작업이 실패한 이유를 설명하는 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Create an IoT Connector

샘플 요청

PUT https://management.azure.com/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue?api-version=2022-06-01

{
  "location": "westus",
  "tags": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "identity": {
    "type": "SystemAssigned"
  },
  "properties": {
    "ingestionEndpointConfiguration": {
      "eventHubName": "MyEventHubName",
      "consumerGroup": "ConsumerGroupA",
      "fullyQualifiedEventHubNamespace": "myeventhub.servicesbus.windows.net"
    },
    "deviceMapping": {
      "content": {
        "templateType": "CollectionContent",
        "template": [
          {
            "templateType": "JsonPathContent",
            "template": {
              "typeName": "heartrate",
              "typeMatchExpression": "$..[?(@heartrate)]",
              "deviceIdExpression": "$.deviceid",
              "timestampExpression": "$.measurementdatetime",
              "values": [
                {
                  "required": "true",
                  "valueExpression": "$.heartrate",
                  "valueName": "hr"
                }
              ]
            }
          }
        ]
      }
    }
  }
}

샘플 응답

{
  "name": "blue",
  "id": "/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue",
  "type": "Microsoft.HealthcareApis/workspaces/iotconnectors",
  "location": "westus",
  "etag": "00000000-0000-0000-f5ac-912ca49e01d6",
  "tags": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "identity": {
    "type": "SystemAssigned"
  },
  "properties": {
    "provisioningState": "Succeeded",
    "ingestionEndpointConfiguration": {
      "eventHubName": "MyEventHubName",
      "consumerGroup": "ConsumerGroupA",
      "fullyQualifiedEventHubNamespace": "myeventhub.servicesbus.windows.net"
    },
    "deviceMapping": {
      "content": {
        "templateType": "CollectionContent",
        "template": [
          {
            "templateType": "JsonPathContent",
            "template": {
              "typeName": "heartrate",
              "typeMatchExpression": "$..[?(@heartrate)]",
              "deviceIdExpression": "$.deviceid",
              "timestampExpression": "$.measurementdatetime",
              "values": [
                {
                  "required": "true",
                  "valueExpression": "$.heartrate",
                  "valueName": "hr"
                }
              ]
            }
          }
        ]
      }
    }
  },
  "systemData": {
    "createdBy": "string",
    "createdAt": "2021-01-28T19:26:24.072Z",
    "lastModifiedBy": "string",
    "lastModifiedAt": "2021-01-28T19:26:24.072Z"
  }
}
{
  "name": "blue",
  "id": "/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue",
  "type": "Microsoft.HealthcareApis/workspaces/iotconnectors",
  "location": "westus",
  "etag": "00000000-0000-0000-f5ac-912ca49e01d6",
  "tags": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "identity": {
    "type": "SystemAssigned"
  },
  "properties": {
    "provisioningState": "Creating",
    "ingestionEndpointConfiguration": {
      "eventHubName": "MyEventHubName",
      "consumerGroup": "ConsumerGroupA",
      "fullyQualifiedEventHubNamespace": "myeventhub.servicesbus.windows.net"
    },
    "deviceMapping": {
      "content": {
        "templateType": "CollectionContent",
        "template": [
          {
            "templateType": "JsonPathContent",
            "template": {
              "typeName": "heartrate",
              "typeMatchExpression": "$..[?(@heartrate)]",
              "deviceIdExpression": "$.deviceid",
              "timestampExpression": "$.measurementdatetime",
              "values": [
                {
                  "required": "true",
                  "valueExpression": "$.heartrate",
                  "valueName": "hr"
                }
              ]
            }
          }
        ]
      }
    }
  },
  "systemData": {
    "createdBy": "string",
    "createdAt": "2021-01-28T19:26:24.072Z",
    "lastModifiedBy": "string",
    "lastModifiedAt": "2021-01-28T19:26:24.072Z"
  }
}
{
  "name": "blue",
  "id": "/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue",
  "type": "Microsoft.HealthcareApis/workspaces/iotconnectors",
  "location": "westus",
  "etag": "00000000-0000-0000-f5ac-912ca49e01d6",
  "tags": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "identity": {
    "type": "SystemAssigned"
  },
  "properties": {
    "provisioningState": "Accepted",
    "ingestionEndpointConfiguration": {
      "eventHubName": "MyEventHubName",
      "consumerGroup": "ConsumerGroupA",
      "fullyQualifiedEventHubNamespace": "myeventhub.servicesbus.windows.net"
    },
    "deviceMapping": {
      "content": {
        "templateType": "CollectionContent",
        "template": [
          {
            "templateType": "JsonPathContent",
            "template": {
              "typeName": "heartrate",
              "typeMatchExpression": "$..[?(@heartrate)]",
              "deviceIdExpression": "$.deviceid",
              "timestampExpression": "$.measurementdatetime",
              "values": [
                {
                  "required": "true",
                  "valueExpression": "$.heartrate",
                  "valueName": "hr"
                }
              ]
            }
          }
        ]
      }
    }
  },
  "systemData": {
    "createdBy": "string",
    "createdAt": "2021-01-28T19:26:24.072Z",
    "lastModifiedBy": "string",
    "lastModifiedAt": "2021-01-28T19:26:24.072Z"
  }
}

정의

Name Description
createdByType

리소스를 만든 ID의 형식입니다.

ErrorDetails

오류 세부 정보입니다.

ErrorDetailsInternal

오류 세부 정보입니다.

Identity

서비스에 연결된 관리 ID가 있는지 여부를 나타내는 설정입니다.

IotConnector

IoT 커넥터 정의입니다.

IotEventHubIngestionEndpointConfiguration

Event Hub 수집 엔드포인트 구성

IotMappingProperties

매핑 콘텐츠입니다.

provisioningState

프로비전 상태입니다.

ServiceManagedIdentityType

지정되는 ID의 형식이며, 현재 SystemAssigned 및 None은 허용됩니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

UserAssignedIdentity

사용자 할당 ID 속성

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ErrorDetails

오류 세부 정보입니다.

Name 형식 Description
error

ErrorDetailsInternal

오류 세부 정보

ErrorDetailsInternal

오류 세부 정보입니다.

Name 형식 Description
code

string

오류 코드입니다.

message

string

오류 메시지입니다.

target

string

특정 오류의 대상입니다.

Identity

서비스에 연결된 관리 ID가 있는지 여부를 나타내는 설정입니다.

Name 형식 Description
principalId

string (uuid)

시스템 할당 ID의 서비스 주체 ID입니다. 이 속성은 시스템 할당 ID에 대해서만 제공됩니다.

tenantId

string (uuid)

시스템 할당 ID의 테넌트 ID입니다. 이 속성은 시스템 할당 ID에 대해서만 제공됩니다.

type

ServiceManagedIdentityType

지정되는 ID의 형식이며, 현재 SystemAssigned 및 None은 허용됩니다.

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned ID
리소스와 연결된 사용자 할당 ID 집합입니다. userAssignedIdentities 사전 키는 '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName} 형식의 ARM 리소스 ID입니다. 사전 값은 요청에서 빈 개체({})일 수 있습니다.

IotConnector

IoT 커넥터 정의입니다.

Name 형식 Description
etag

string

리소스와 연결된 etag로, 리소스를 편집할 때 낙관적 동시성에 사용됩니다.

id

string

리소스 식별자입니다.

identity

Identity

서비스에 연결된 관리 ID가 있는지 여부를 나타내는 설정입니다.

location

string

리소스 위치입니다.

name

string

pattern: ^[a-z0-9][a-z0-9-]{1,21}[a-z0-9]$

리소스 이름입니다.

properties.deviceMapping

IotMappingProperties

디바이스 매핑.

properties.ingestionEndpointConfiguration

IotEventHubIngestionEndpointConfiguration

원본 구성.

properties.provisioningState

provisioningState

프로비전 상태입니다.

systemData

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

tags

object

리소스 태그.

type

string

리소스 종류입니다.

IotEventHubIngestionEndpointConfiguration

Event Hub 수집 엔드포인트 구성

Name 형식 Description
consumerGroup

string

연결할 이벤트 허브의 소비자 그룹입니다.

eventHubName

string

연결할 이벤트 허브 이름입니다.

fullyQualifiedEventHubNamespace

string

연결할 이벤트 허브의 정규화된 네임스페이스입니다.

IotMappingProperties

매핑 콘텐츠입니다.

Name 형식 Description
content

object

매핑입니다.

provisioningState

프로비전 상태입니다.

Description
Deleting
Succeeded
Creating
Accepted
Verifying
Updating
Failed
Canceled
Deprovisioned
Moving
Suspended
Warned
SystemMaintenance

ServiceManagedIdentityType

지정되는 ID의 형식이며, 현재 SystemAssigned 및 None은 허용됩니다.

Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.

UserAssignedIdentity

사용자 할당 ID 속성

Name 형식 Description
clientId

string (uuid)

할당된 ID의 클라이언트 ID입니다.

principalId

string (uuid)

할당된 ID의 보안 주체 ID입니다.